import { UiInstantDateFieldConfig, UiInstantDateFieldCommandHandler, UiInstantDateFieldEventSource } from "../../../generated/UiInstantDateFieldConfig";
import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateField } from "./AbstractUiDateField";
export declare class UiInstantDateField extends AbstractUiDateField<UiInstantDateFieldConfig, number> implements UiInstantDateFieldEventSource, UiInstantDateFieldCommandHandler {
    private timeZoneId;
    protected initialize(config: UiInstantDateFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: number): boolean;
    protected displayCommittedValue(): void;
    private getTimeZoneId;
    getTransientValue(): number;
    getReadOnlyHtml(value: number, availableWidth: number): string;
    setTimeZoneId(timeZoneId: string): void;
    valuesChanged(v1: number, v2: number): boolean;
}
